/*
 * Copyright 2023 NXP
 *
 * SPDX-License-Identifier: Apache-2.0
 */

#ifndef ZEPHYR_INCLUDE_DT_BINDINGS_CLOCK_NXP_S32K146_CLOCK_H_
#define ZEPHYR_INCLUDE_DT_BINDINGS_CLOCK_NXP_S32K146_CLOCK_H_

#define NXP_S32_LPO_128K_CLK                       1U
#define NXP_S32_SIRC_CLK                           2U
#define NXP_S32_SIRC_VLP_CLK                       3U
#define NXP_S32_SIRC_STOP_CLK                      4U
#define NXP_S32_FIRC_CLK                           5U
#define NXP_S32_FIRC_VLP_CLK                       6U
#define NXP_S32_FIRC_STOP_CLK                      7U
#define NXP_S32_SOSC_CLK                           8U
#define NXP_S32_SPLL_CLK                           9U
#define NXP_S32_SIRCDIV1_CLK                       10U
#define NXP_S32_SIRCDIV2_CLK                       11U
#define NXP_S32_FIRCDIV1_CLK                       12U
#define NXP_S32_FIRCDIV2_CLK                       13U
#define NXP_S32_SOSCDIV1_CLK                       14U
#define NXP_S32_SOSCDIV2_CLK                       15U
#define NXP_S32_SPLLDIV1_CLK                       16U
#define NXP_S32_SPLLDIV2_CLK                       17U
#define NXP_S32_LPO_32K_CLK                        18U
#define NXP_S32_LPO_1K_CLK                         19U
#define NXP_S32_TCLK0_REF_CLK                      20U
#define NXP_S32_TCLK1_REF_CLK                      21U
#define NXP_S32_TCLK2_REF_CLK                      22U
#define NXP_S32_SCS_CLK                            24U
#define NXP_S32_SCS_RUN_CLK                        25U
#define NXP_S32_SCS_VLPR_CLK                       26U
#define NXP_S32_SCS_HSRUN_CLK                      27U
#define NXP_S32_CORE_CLK                           28U
#define NXP_S32_CORE_RUN_CLK                       29U
#define NXP_S32_CORE_VLPR_CLK                      30U
#define NXP_S32_CORE_HSRUN_CLK                     31U
#define NXP_S32_BUS_CLK                            32U
#define NXP_S32_BUS_RUN_CLK                        33U
#define NXP_S32_BUS_VLPR_CLK                       34U
#define NXP_S32_BUS_HSRUN_CLK                      35U
#define NXP_S32_SLOW_CLK                           36U
#define NXP_S32_SLOW_RUN_CLK                       37U
#define NXP_S32_SLOW_VLPR_CLK                      38U
#define NXP_S32_SLOW_HSRUN_CLK                     39U
#define NXP_S32_RTC_CLK                            40U
#define NXP_S32_LPO_CLK                            41U
#define NXP_S32_SCG_CLKOUT_CLK                     42U
#define NXP_S32_FTM0_EXT_CLK                       43U
#define NXP_S32_FTM1_EXT_CLK                       44U
#define NXP_S32_FTM2_EXT_CLK                       45U
#define NXP_S32_FTM3_EXT_CLK                       46U
#define NXP_S32_FTM4_EXT_CLK                       47U
#define NXP_S32_FTM5_EXT_CLK                       48U
#define NXP_S32_ADC0_CLK                           50U
#define NXP_S32_ADC1_CLK                           51U
#define NXP_S32_CLKOUT0_CLK                        52U
#define NXP_S32_CMP0_CLK                           53U
#define NXP_S32_CRC0_CLK                           54U
#define NXP_S32_DMA0_CLK                           55U
#define NXP_S32_DMAMUX0_CLK                        56U
#define NXP_S32_EIM0_CLK                           57U
#define NXP_S32_ERM0_CLK                           58U
#define NXP_S32_EWM0_CLK                           59U
#define NXP_S32_FLEXCAN0_CLK                       60U
#define NXP_S32_FLEXCAN1_CLK                       61U
#define NXP_S32_FLEXCAN2_CLK                       62U
#define NXP_S32_FLEXIO_CLK                         63U
#define NXP_S32_FTFC_CLK                           64U
#define NXP_S32_FTM0_CLK                           65U
#define NXP_S32_FTM1_CLK                           66U
#define NXP_S32_FTM2_CLK                           67U
#define NXP_S32_FTM3_CLK                           68U
#define NXP_S32_FTM4_CLK                           69U
#define NXP_S32_FTM5_CLK                           70U
#define NXP_S32_LPI2C0_CLK                         71U
#define NXP_S32_LPIT0_CLK                          72U
#define NXP_S32_LPSPI0_CLK                         73U
#define NXP_S32_LPSPI1_CLK                         74U
#define NXP_S32_LPSPI2_CLK                         75U
#define NXP_S32_LPTMR0_CLK                         76U
#define NXP_S32_LPUART0_CLK                        77U
#define NXP_S32_LPUART1_CLK                        78U
#define NXP_S32_LPUART2_CLK                        79U
#define NXP_S32_MPU0_CLK                           80U
#define NXP_S32_MSCM0_CLK                          81U
#define NXP_S32_PDB0_CLK                           82U
#define NXP_S32_PDB1_CLK                           83U
#define NXP_S32_PORTA_CLK                          84U
#define NXP_S32_PORTB_CLK                          85U
#define NXP_S32_PORTC_CLK                          86U
#define NXP_S32_PORTD_CLK                          87U
#define NXP_S32_PORTE_CLK                          88U
#define NXP_S32_RTC0_CLK                           89U
#define NXP_S32_TRACE_CLK                          90U

#endif /* ZEPHYR_INCLUDE_DT_BINDINGS_CLOCK_NXP_S32K146_CLOCK_H_ */
