/*
 * Copyright (c) 2023 Analog Devices, Inc.
 *
 * SPDX-License-Identifier: Apache-2.0
 */

#ifndef ZEPHYR_INCLUDE_DT_BINDINGS_DMA_MAX32690_DMA_H_
#define ZEPHYR_INCLUDE_DT_BINDINGS_DMA_MAX32690_DMA_H_

#define MAX32_DMA_SLOT_MEMTOMEM  0x00U
#define MAX32_DMA_SLOT_SPI0_RX   0x01U
#define MAX32_DMA_SLOT_SPI1_RX   0x02U
#define MAX32_DMA_SLOT_SPI2_RX   0x03U
#define MAX32_DMA_SLOT_UART0_RX  0x04U
#define MAX32_DMA_SLOT_UART1_RX  0x05U
#define MAX32_DMA_SLOT_CAN0_RX   0x06U
#define MAX32_DMA_SLOT_I2C0_RX   0x07U
#define MAX32_DMA_SLOT_I2C1_RX   0x08U
#define MAX32_DMA_SLOT_ADC       0x09U
#define MAX32_DMA_SLOT_I2C2_RX   0x0AU
#define MAX32_DMA_SLOT_UART2_RX  0x0EU
#define MAX32_DMA_SLOT_SPI3_RX   0x0FU
#define MAX32_DMA_SLOT_SPI4_RX   0x10U
#define MAX32_DMA_SLOT_USB1_IN   0x11U
#define MAX32_DMA_SLOT_USB2_IN   0x12U
#define MAX32_DMA_SLOT_USB3_IN   0x13U
#define MAX32_DMA_SLOT_USB4_IN   0x14U
#define MAX32_DMA_SLOT_USB5_IN   0x15U
#define MAX32_DMA_SLOT_USB6_IN   0x16U
#define MAX32_DMA_SLOT_USB7_IN   0x17U
#define MAX32_DMA_SLOT_USB8_IN   0x18U
#define MAX32_DMA_SLOT_USB9_IN   0x19U
#define MAX32_DMA_SLOT_USB10_IN  0x1AU
#define MAX32_DMA_SLOT_USB11_IN  0x1BU
#define MAX32_DMA_SLOT_UART3_RX  0x1CU
#define MAX32_DMA_SLOT_I2S_RX    0x1EU
#define MAX32_DMA_SLOT_CAN1_RX   0x1FU
#define MAX32_DMA_SLOT_SPI0_TX   0x21U
#define MAX32_DMA_SLOT_SPI1_TX   0x22U
#define MAX32_DMA_SLOT_SPI2_TX   0x23U
#define MAX32_DMA_SLOT_UART0_TX  0x24U
#define MAX32_DMA_SLOT_UART1_TX  0x25U
#define MAX32_DMA_SLOT_CAN0_TX   0x26U
#define MAX32_DMA_SLOT_I2C0_TX   0x27U
#define MAX32_DMA_SLOT_I2C1_TX   0x28U
#define MAX32_DMA_SLOT_I2C2_TX   0x2AU
#define MAX32_DMA_SLOT_UART2_TX  0x2EU
#define MAX32_DMA_SLOT_SPI3_TX   0x2FU
#define MAX32_DMA_SLOT_SPI4_TX   0x30U
#define MAX32_DMA_SLOT_USB1_OUT  0x31U
#define MAX32_DMA_SLOT_USB2_OUT  0x32U
#define MAX32_DMA_SLOT_USB3_OUT  0x33U
#define MAX32_DMA_SLOT_USB4_OUT  0x34U
#define MAX32_DMA_SLOT_USB5_OUT  0x35U
#define MAX32_DMA_SLOT_USB6_OUT  0x36U
#define MAX32_DMA_SLOT_USB7_OUT  0x37U
#define MAX32_DMA_SLOT_USB8_OUT  0x38U
#define MAX32_DMA_SLOT_USB9_OUT  0x39U
#define MAX32_DMA_SLOT_USB10_OUT 0x3AU
#define MAX32_DMA_SLOT_USB11_OUT 0x3BU
#define MAX32_DMA_SLOT_UART3_TX  0x3CU
#define MAX32_DMA_SLOT_I2S_TX    0x3EU
#define MAX32_DMA_SLOT_CAN1_TX   0x3FU

#endif /* ZEPHYR_INCLUDE_DT_BINDINGS_DMA_MAX32690_DMA_H_ */
