/*
 * Copyright (c) 2023 TOKITA Hiroshi <tokita.hiroshi@fujitsu.com>
 *
 * SPDX-License-Identifier: Apache-2.0
 */

#ifndef ZEPHYR_DT_BINDINGS_PINCTRL_RENESAS_PINCTRL_R7FA4M1XXXXXX_H_
#define ZEPHYR_DT_BINDINGS_PINCTRL_RENESAS_PINCTRL_R7FA4M1XXXXXX_H_

#include <zephyr/dt-bindings/pinctrl/renesas/pinctrl-ra-common.h>

#define P000_AMP0P        RA_PINCFG__40(0, 0, 0x02, RA_PINCFG_FUNC | RA_PINCFG_ANALOG)
#define P000_AN000        RA_PINCFG__40(0, 0, 0x01, RA_PINCFG_ANALOG)
#define P000_TS21         RA_PINCFG__40(0, 0, 0x0C, RA_PINCFG_FUNC)
#define P001_AMP0M        RA_PINCFG__40(0, 1, 0x02, RA_PINCFG_FUNC | RA_PINCFG_ANALOG)
#define P001_AN001        RA_PINCFG__40(0, 1, 0x01, RA_PINCFG_ANALOG)
#define P001_TS22         RA_PINCFG__40(0, 1, 0x0C, RA_PINCFG_FUNC)
#define P002_AMP0O        RA_PINCFG__48(0, 2, 0x02, RA_PINCFG_FUNC | RA_PINCFG_ANALOG)
#define P002_AN002        RA_PINCFG__48(0, 2, 0x01, RA_PINCFG_ANALOG)
#define P003_AMP1O        RA_PINCFG__64(0, 3, 0x02, RA_PINCFG_FUNC | RA_PINCFG_ANALOG)
#define P003_AN003        RA_PINCFG__64(0, 3, 0x01, RA_PINCFG_ANALOG)
#define P004_AMP2O        RA_PINCFG__64(0, 4, 0x02, RA_PINCFG_FUNC | RA_PINCFG_ANALOG)
#define P004_AN004        RA_PINCFG__64(0, 4, 0x01, RA_PINCFG_ANALOG)
#define P005_AMP3P        RA_PINCFG_100(0, 5, 0x02, RA_PINCFG_FUNC | RA_PINCFG_ANALOG)
#define P005_AN011        RA_PINCFG_100(0, 5, 0x01, RA_PINCFG_ANALOG)
#define P006_AMP3M        RA_PINCFG_100(0, 6, 0x02, RA_PINCFG_FUNC | RA_PINCFG_ANALOG)
#define P006_AN012        RA_PINCFG_100(0, 6, 0x01, RA_PINCFG_ANALOG)
#define P007_AMP3O        RA_PINCFG_100(0, 7, 0x02, RA_PINCFG_FUNC | RA_PINCFG_ANALOG)
#define P007_AN013        RA_PINCFG_100(0, 7, 0x01, RA_PINCFG_ANALOG)
#define P008_AN014        RA_PINCFG_100(0, 8, 0x01, RA_PINCFG_ANALOG)
#define P010_AMP2M        RA_PINCFG__40(0, 10, 0x02, RA_PINCFG_FUNC | RA_PINCFG_ANALOG)
#define P010_AN005        RA_PINCFG__40(0, 10, 0x01, RA_PINCFG_ANALOG)
#define P010_TS30         RA_PINCFG__40(0, 10, 0x0C, RA_PINCFG_FUNC)
#define P010_VREFH0       RA_PINCFG__40(0, 10, 0x03, RA_PINCFG_FUNC | RA_PINCFG_ANALOG)
#define P011_AN006        RA_PINCFG__40(0, 11, 0x01, RA_PINCFG_ANALOG)
#define P011_TS31         RA_PINCFG__40(0, 11, 0x0C, RA_PINCFG_FUNC)
#define P011_VREFL0       RA_PINCFG__40(0, 11, 0x03, RA_PINCFG_FUNC | RA_PINCFG_ANALOG)
#define P012_AN007        RA_PINCFG__40(0, 12, 0x01, RA_PINCFG_ANALOG)
#define P012_VREFH        RA_PINCFG__40(0, 12, 0x03, RA_PINCFG_FUNC | RA_PINCFG_ANALOG)
#define P013_AN008        RA_PINCFG__40(0, 13, 0x01, RA_PINCFG_ANALOG)
#define P013_VREFL        RA_PINCFG__40(0, 13, 0x03, RA_PINCFG_FUNC | RA_PINCFG_ANALOG)
#define P014_AN009        RA_PINCFG__40(0, 14, 0x01, RA_PINCFG_ANALOG)
#define P014_DA0          RA_PINCFG__40(0, 14, 0x02, RA_PINCFG_FUNC | RA_PINCFG_ANALOG)
#define P015_AN010        RA_PINCFG__40(0, 15, 0x01, RA_PINCFG_ANALOG)
#define P015_TS28         RA_PINCFG__40(0, 15, 0x0C, RA_PINCFG_FUNC)
#define P100_AGTIO0       RA_PINCFG__40(1, 0, 0x01, RA_PINCFG_FUNC)
#define P100_AN022        RA_PINCFG__40(1, 0, 0x01, RA_PINCFG_ANALOG)
#define P100_CMPIN0       RA_PINCFG__40(1, 0, 0x02, RA_PINCFG_FUNC | RA_PINCFG_ANALOG)
#define P100_GTETRGA      RA_PINCFG__40(1, 0, 0x02, RA_PINCFG_FUNC)
#define P100_GTIOC5B      RA_PINCFG__40(1, 0, 0x03, RA_PINCFG_FUNC)
#define P100_KR00         RA_PINCFG__40(1, 0, 0x08, RA_PINCFG_FUNC)
#define P100_MISO0        RA_PINCFG__40(1, 0, 0x04, RA_PINCFG_FUNC)
#define P100_MISOA        RA_PINCFG__40(1, 0, 0x06, RA_PINCFG_FUNC)
#define P100_RXD0         RA_PINCFG__40(1, 0, 0x04, RA_PINCFG_FUNC)
#define P100_SCK1         RA_PINCFG__40(1, 0, 0x05, RA_PINCFG_FUNC)
#define P100_SCL0         RA_PINCFG__40(1, 0, 0x04, RA_PINCFG_FUNC)
#define P100_SCL1         RA_PINCFG__40(1, 0, 0x07, RA_PINCFG_FUNC)
#define P100_VL1          RA_PINCFG__40(1, 0, 0x0D, RA_PINCFG_FUNC)
#define P101_AGTEE0       RA_PINCFG__40(1, 1, 0x01, RA_PINCFG_FUNC)
#define P101_AN021        RA_PINCFG__40(1, 1, 0x01, RA_PINCFG_ANALOG)
#define P101_CMPREF0      RA_PINCFG__40(1, 1, 0x02, RA_PINCFG_FUNC | RA_PINCFG_ANALOG)
#define P101_CTS1_RTS1    RA_PINCFG__40(1, 1, 0x05, RA_PINCFG_FUNC)
#define P101_GTETRGB      RA_PINCFG__40(1, 1, 0x02, RA_PINCFG_FUNC)
#define P101_GTIOC5A      RA_PINCFG__40(1, 1, 0x03, RA_PINCFG_FUNC)
#define P101_KR01         RA_PINCFG__40(1, 1, 0x08, RA_PINCFG_FUNC)
#define P101_MOSI0        RA_PINCFG__40(1, 1, 0x04, RA_PINCFG_FUNC)
#define P101_MOSIA        RA_PINCFG__40(1, 1, 0x06, RA_PINCFG_FUNC)
#define P101_SDA0         RA_PINCFG__40(1, 1, 0x04, RA_PINCFG_FUNC)
#define P101_SDA1         RA_PINCFG__40(1, 1, 0x07, RA_PINCFG_FUNC)
#define P101_SS1          RA_PINCFG__40(1, 1, 0x05, RA_PINCFG_FUNC)
#define P101_TXD0         RA_PINCFG__40(1, 1, 0x04, RA_PINCFG_FUNC)
#define P101_VL2          RA_PINCFG__40(1, 1, 0x0D, RA_PINCFG_FUNC)
#define P102_ADTRG0       RA_PINCFG__40(1, 2, 0x0A, RA_PINCFG_FUNC)
#define P102_AGTO0        RA_PINCFG__40(1, 2, 0x01, RA_PINCFG_FUNC)
#define P102_AN020        RA_PINCFG__40(1, 2, 0x01, RA_PINCFG_ANALOG)
#define P102_CMPIN1       RA_PINCFG__40(1, 2, 0x02, RA_PINCFG_FUNC | RA_PINCFG_ANALOG)
#define P102_CRX0         RA_PINCFG__40(1, 2, 0x10, RA_PINCFG_FUNC)
#define P102_GTIOC2B      RA_PINCFG__40(1, 2, 0x03, RA_PINCFG_FUNC)
#define P102_GTOWLO       RA_PINCFG__40(1, 2, 0x02, RA_PINCFG_FUNC)
#define P102_KR02         RA_PINCFG__40(1, 2, 0x08, RA_PINCFG_FUNC)
#define P102_MOSI2        RA_PINCFG__40(1, 2, 0x05, RA_PINCFG_FUNC)
#define P102_RSPCKA       RA_PINCFG__40(1, 2, 0x06, RA_PINCFG_FUNC)
#define P102_SCK0         RA_PINCFG__40(1, 2, 0x04, RA_PINCFG_FUNC)
#define P102_SDA2         RA_PINCFG__40(1, 2, 0x05, RA_PINCFG_FUNC)
#define P102_TXD2         RA_PINCFG__40(1, 2, 0x05, RA_PINCFG_FUNC)
#define P102_VL3          RA_PINCFG__40(1, 2, 0x0D, RA_PINCFG_FUNC)
#define P103_AN019        RA_PINCFG__48(1, 3, 0x01, RA_PINCFG_ANALOG)
#define P103_CMPREF1      RA_PINCFG__48(1, 3, 0x02, RA_PINCFG_FUNC | RA_PINCFG_ANALOG)
#define P103_CTS0_RTS0    RA_PINCFG__48(1, 3, 0x04, RA_PINCFG_FUNC)
#define P103_CTX0         RA_PINCFG__48(1, 3, 0x10, RA_PINCFG_FUNC)
#define P103_GTIOC2A      RA_PINCFG__48(1, 3, 0x03, RA_PINCFG_FUNC)
#define P103_GTOWUP       RA_PINCFG__48(1, 3, 0x02, RA_PINCFG_FUNC)
#define P103_KR03         RA_PINCFG__48(1, 3, 0x08, RA_PINCFG_FUNC)
#define P103_SS0          RA_PINCFG__48(1, 3, 0x04, RA_PINCFG_FUNC)
#define P103_SSLA0        RA_PINCFG__48(1, 3, 0x06, RA_PINCFG_FUNC)
#define P103_VL4          RA_PINCFG__48(1, 3, 0x0D, RA_PINCFG_FUNC)
#define P104_COM0         RA_PINCFG__48(1, 4, 0x0D, RA_PINCFG_FUNC)
#define P104_GTETRGB      RA_PINCFG__48(1, 4, 0x02, RA_PINCFG_FUNC)
#define P104_GTIOC1B      RA_PINCFG__48(1, 4, 0x03, RA_PINCFG_FUNC)
#define P104_KR04         RA_PINCFG__48(1, 4, 0x08, RA_PINCFG_FUNC)
#define P104_MISO0        RA_PINCFG__48(1, 4, 0x04, RA_PINCFG_FUNC)
#define P104_RXD0         RA_PINCFG__48(1, 4, 0x04, RA_PINCFG_FUNC)
#define P104_SCL0         RA_PINCFG__48(1, 4, 0x04, RA_PINCFG_FUNC)
#define P104_SSLA1        RA_PINCFG__48(1, 4, 0x06, RA_PINCFG_FUNC)
#define P104_TS13         RA_PINCFG__48(1, 4, 0x0C, RA_PINCFG_FUNC)
#define P105_COM1         RA_PINCFG__64(1, 5, 0x0D, RA_PINCFG_FUNC)
#define P105_GTETRGA      RA_PINCFG__64(1, 5, 0x02, RA_PINCFG_FUNC)
#define P105_GTIOC1A      RA_PINCFG__64(1, 5, 0x03, RA_PINCFG_FUNC)
#define P105_KR05         RA_PINCFG__64(1, 5, 0x08, RA_PINCFG_FUNC)
#define P105_SSLA2        RA_PINCFG__64(1, 5, 0x06, RA_PINCFG_FUNC)
#define P105_TS34         RA_PINCFG__64(1, 5, 0x0C, RA_PINCFG_FUNC)
#define P106_COM2         RA_PINCFG__64(1, 6, 0x0D, RA_PINCFG_FUNC)
#define P106_GTIOC0B      RA_PINCFG__64(1, 6, 0x03, RA_PINCFG_FUNC)
#define P106_KR06         RA_PINCFG__64(1, 6, 0x08, RA_PINCFG_FUNC)
#define P106_SSLA3        RA_PINCFG__64(1, 6, 0x06, RA_PINCFG_FUNC)
#define P107_COM3         RA_PINCFG__64(1, 7, 0x0D, RA_PINCFG_FUNC)
#define P107_GTIOC0A      RA_PINCFG__64(1, 7, 0x03, RA_PINCFG_FUNC)
#define P107_KR07         RA_PINCFG__64(1, 7, 0x08, RA_PINCFG_FUNC)
#define P108_CTS9_RTS9    RA_PINCFG__40(1, 8, 0x05, RA_PINCFG_FUNC)
#define P108_GTIOC0B      RA_PINCFG__40(1, 8, 0x03, RA_PINCFG_FUNC)
#define P108_GTOULO       RA_PINCFG__40(1, 8, 0x02, RA_PINCFG_FUNC)
#define P108_SS9          RA_PINCFG__40(1, 8, 0x05, RA_PINCFG_FUNC)
#define P108_SSLB0        RA_PINCFG__40(1, 8, 0x06, RA_PINCFG_FUNC)
#define P109_CLKOUT       RA_PINCFG__40(1, 9, 0x09, RA_PINCFG_FUNC)
#define P109_CTX0         RA_PINCFG__40(1, 9, 0x10, RA_PINCFG_FUNC)
#define P109_GTIOC1A      RA_PINCFG__40(1, 9, 0x03, RA_PINCFG_FUNC)
#define P109_GTOVUP       RA_PINCFG__40(1, 9, 0x02, RA_PINCFG_FUNC)
#define P109_MOSI9        RA_PINCFG__40(1, 9, 0x05, RA_PINCFG_FUNC)
#define P109_MOSIB        RA_PINCFG__40(1, 9, 0x06, RA_PINCFG_FUNC)
#define P109_SCK1         RA_PINCFG__40(1, 9, 0x04, RA_PINCFG_FUNC)
#define P109_SDA9         RA_PINCFG__40(1, 9, 0x05, RA_PINCFG_FUNC)
#define P109_SEG23        RA_PINCFG__40(1, 9, 0x0D, RA_PINCFG_FUNC)
#define P109_TS10         RA_PINCFG__40(1, 9, 0x0C, RA_PINCFG_FUNC)
#define P109_TXD9         RA_PINCFG__40(1, 9, 0x05, RA_PINCFG_FUNC)
#define P110_CRX0         RA_PINCFG__40(1, 10, 0x10, RA_PINCFG_FUNC)
#define P110_CTS2_RTS2    RA_PINCFG__40(1, 10, 0x04, RA_PINCFG_FUNC)
#define P110_GTIOC1B      RA_PINCFG__40(1, 10, 0x03, RA_PINCFG_FUNC)
#define P110_GTOVLO       RA_PINCFG__40(1, 10, 0x02, RA_PINCFG_FUNC)
#define P110_MISO9        RA_PINCFG__40(1, 10, 0x05, RA_PINCFG_FUNC)
#define P110_MISOB        RA_PINCFG__40(1, 10, 0x06, RA_PINCFG_FUNC)
#define P110_RXD9         RA_PINCFG__40(1, 10, 0x05, RA_PINCFG_FUNC)
#define P110_SCL9         RA_PINCFG__40(1, 10, 0x05, RA_PINCFG_FUNC)
#define P110_SEG24        RA_PINCFG__40(1, 10, 0x0D, RA_PINCFG_FUNC)
#define P110_SS2          RA_PINCFG__40(1, 10, 0x04, RA_PINCFG_FUNC)
#define P110_VCOUT        RA_PINCFG__40(1, 10, 0x09, RA_PINCFG_FUNC)
#define P111_CAPH         RA_PINCFG__40(1, 11, 0x0D, RA_PINCFG_FUNC)
#define P111_GTIOC3A      RA_PINCFG__40(1, 11, 0x03, RA_PINCFG_FUNC)
#define P111_RSPCKB       RA_PINCFG__40(1, 11, 0x06, RA_PINCFG_FUNC)
#define P111_SCK2         RA_PINCFG__40(1, 11, 0x04, RA_PINCFG_FUNC)
#define P111_SCK9         RA_PINCFG__40(1, 11, 0x05, RA_PINCFG_FUNC)
#define P111_TS12         RA_PINCFG__40(1, 11, 0x0C, RA_PINCFG_FUNC)
#define P112_CAPL         RA_PINCFG__40(1, 12, 0x0D, RA_PINCFG_FUNC)
#define P112_GTIOC3B      RA_PINCFG__40(1, 12, 0x03, RA_PINCFG_FUNC)
#define P112_MOSI2        RA_PINCFG__40(1, 12, 0x04, RA_PINCFG_FUNC)
#define P112_SCK1         RA_PINCFG__40(1, 12, 0x05, RA_PINCFG_FUNC)
#define P112_SDA2         RA_PINCFG__40(1, 12, 0x04, RA_PINCFG_FUNC)
#define P112_SSIBCK0      RA_PINCFG__40(1, 12, 0x12, RA_PINCFG_FUNC)
#define P112_SSLB0        RA_PINCFG__40(1, 12, 0x06, RA_PINCFG_FUNC)
#define P112_TSCAP        RA_PINCFG__40(1, 12, 0x0C, RA_PINCFG_FUNC)
#define P112_TXD2         RA_PINCFG__40(1, 12, 0x04, RA_PINCFG_FUNC)
#define P113_GTIOC2A      RA_PINCFG__64(1, 13, 0x03, RA_PINCFG_FUNC)
#define P113_SEG00COM4    RA_PINCFG__64(1, 13, 0x0D, RA_PINCFG_FUNC)
#define P113_SSIFS0       RA_PINCFG__64(1, 13, 0x12, RA_PINCFG_FUNC)
#define P113_SSILRCK0     RA_PINCFG__64(1, 13, 0x12, RA_PINCFG_FUNC)
#define P113_TS27         RA_PINCFG__64(1, 13, 0x0C, RA_PINCFG_FUNC)
#define P114_GTIOC2B      RA_PINCFG_100(1, 14, 0x03, RA_PINCFG_FUNC)
#define P114_SEG25        RA_PINCFG_100(1, 14, 0x0D, RA_PINCFG_FUNC)
#define P114_SSIRXD0      RA_PINCFG_100(1, 14, 0x12, RA_PINCFG_FUNC)
#define P114_TS29         RA_PINCFG_100(1, 14, 0x0C, RA_PINCFG_FUNC)
#define P115_GTIOC4A      RA_PINCFG_100(1, 15, 0x03, RA_PINCFG_FUNC)
#define P115_SEG26        RA_PINCFG_100(1, 15, 0x0D, RA_PINCFG_FUNC)
#define P115_SSITXD0      RA_PINCFG_100(1, 15, 0x12, RA_PINCFG_FUNC)
#define P115_TS35         RA_PINCFG_100(1, 15, 0x0C, RA_PINCFG_FUNC)
#define P202_GTIOC5B      RA_PINCFG_100(2, 2, 0x03, RA_PINCFG_FUNC)
#define P202_MISO9        RA_PINCFG_100(2, 2, 0x05, RA_PINCFG_FUNC)
#define P202_MISOB        RA_PINCFG_100(2, 2, 0x06, RA_PINCFG_FUNC)
#define P202_RXD9         RA_PINCFG_100(2, 2, 0x05, RA_PINCFG_FUNC)
#define P202_SCK2         RA_PINCFG_100(2, 2, 0x04, RA_PINCFG_FUNC)
#define P202_SCL9         RA_PINCFG_100(2, 2, 0x05, RA_PINCFG_FUNC)
#define P202_SEG16        RA_PINCFG_100(2, 2, 0x0D, RA_PINCFG_FUNC)
#define P203_CTS2_RTS2    RA_PINCFG_100(2, 3, 0x04, RA_PINCFG_FUNC)
#define P203_GTIOC5A      RA_PINCFG_100(2, 3, 0x03, RA_PINCFG_FUNC)
#define P203_MOSI9        RA_PINCFG_100(2, 3, 0x05, RA_PINCFG_FUNC)
#define P203_MOSIB        RA_PINCFG_100(2, 3, 0x06, RA_PINCFG_FUNC)
#define P203_SDA9         RA_PINCFG_100(2, 3, 0x05, RA_PINCFG_FUNC)
#define P203_SEG15        RA_PINCFG_100(2, 3, 0x0D, RA_PINCFG_FUNC)
#define P203_SS2          RA_PINCFG_100(2, 3, 0x04, RA_PINCFG_FUNC)
#define P203_TSCAP        RA_PINCFG_100(2, 3, 0x0C, RA_PINCFG_FUNC)
#define P203_TXD9         RA_PINCFG_100(2, 3, 0x05, RA_PINCFG_FUNC)
#define P204_AGTIO1       RA_PINCFG__64(2, 4, 0x01, RA_PINCFG_FUNC)
#define P204_CACREF       RA_PINCFG__64(2, 4, 0x0A, RA_PINCFG_FUNC)
#define P204_GTIOC4B      RA_PINCFG__64(2, 4, 0x03, RA_PINCFG_FUNC)
#define P204_GTIW         RA_PINCFG__64(2, 4, 0x02, RA_PINCFG_FUNC)
#define P204_RSPCKB       RA_PINCFG__64(2, 4, 0x06, RA_PINCFG_FUNC)
#define P204_SCK0         RA_PINCFG__64(2, 4, 0x04, RA_PINCFG_FUNC)
#define P204_SCK9         RA_PINCFG__64(2, 4, 0x05, RA_PINCFG_FUNC)
#define P204_SCL0         RA_PINCFG__64(2, 4, 0x07, RA_PINCFG_FUNC)
#define P204_SEG14        RA_PINCFG__64(2, 4, 0x0D, RA_PINCFG_FUNC)
#define P204_TS00         RA_PINCFG__64(2, 4, 0x0C, RA_PINCFG_FUNC)
#define P204_USB_OVRCUR_B RA_PINCFG__64(2, 4, 0x13, RA_PINCFG_FUNC)
#define P205_AGTO1        RA_PINCFG__64(2, 5, 0x01, RA_PINCFG_FUNC)
#define P205_CLKOUT       RA_PINCFG__64(2, 5, 0x09, RA_PINCFG_FUNC)
#define P205_CTS9_RTS9    RA_PINCFG__64(2, 5, 0x05, RA_PINCFG_FUNC)
#define P205_GTIOC4A      RA_PINCFG__64(2, 5, 0x03, RA_PINCFG_FUNC)
#define P205_GTIV         RA_PINCFG__64(2, 5, 0x02, RA_PINCFG_FUNC)
#define P205_MOSI0        RA_PINCFG__64(2, 5, 0x04, RA_PINCFG_FUNC)
#define P205_SCL1         RA_PINCFG__64(2, 5, 0x07, RA_PINCFG_FUNC)
#define P205_SDA0         RA_PINCFG__64(2, 5, 0x04, RA_PINCFG_FUNC)
#define P205_SEG13        RA_PINCFG__64(2, 5, 0x0D, RA_PINCFG_FUNC)
#define P205_SS9          RA_PINCFG__64(2, 5, 0x05, RA_PINCFG_FUNC)
#define P205_SSLB0        RA_PINCFG__64(2, 5, 0x06, RA_PINCFG_FUNC)
#define P205_TSCAP        RA_PINCFG__64(2, 5, 0x0C, RA_PINCFG_FUNC)
#define P205_TXD0         RA_PINCFG__64(2, 5, 0x04, RA_PINCFG_FUNC)
#define P205_USB_OVRCUR_A RA_PINCFG__64(2, 5, 0x13, RA_PINCFG_FUNC)
#define P206_GTIU         RA_PINCFG__48(2, 6, 0x02, RA_PINCFG_FUNC)
#define P206_MISO0        RA_PINCFG__48(2, 6, 0x04, RA_PINCFG_FUNC)
#define P206_RXD0         RA_PINCFG__48(2, 6, 0x04, RA_PINCFG_FUNC)
#define P206_SCL0         RA_PINCFG__48(2, 6, 0x04, RA_PINCFG_FUNC)
#define P206_SDA1         RA_PINCFG__48(2, 6, 0x07, RA_PINCFG_FUNC)
#define P206_SEG12        RA_PINCFG__48(2, 6, 0x0D, RA_PINCFG_FUNC)
#define P206_SSLB1        RA_PINCFG__48(2, 6, 0x06, RA_PINCFG_FUNC)
#define P206_TS01         RA_PINCFG__48(2, 6, 0x0C, RA_PINCFG_FUNC)
#define P206_USB_VBUSEN   RA_PINCFG__48(2, 6, 0x13, RA_PINCFG_FUNC)
#define P212_AGTEE1       RA_PINCFG__40(2, 12, 0x01, RA_PINCFG_FUNC)
#define P212_GTETRGB      RA_PINCFG__40(2, 12, 0x02, RA_PINCFG_FUNC)
#define P212_GTIOC0B      RA_PINCFG__40(2, 12, 0x03, RA_PINCFG_FUNC)
#define P212_MISO1        RA_PINCFG__40(2, 12, 0x05, RA_PINCFG_FUNC)
#define P212_RXD1         RA_PINCFG__40(2, 12, 0x05, RA_PINCFG_FUNC)
#define P212_SCL1         RA_PINCFG__40(2, 12, 0x05, RA_PINCFG_FUNC)
#define P213_GTETRGA      RA_PINCFG__40(2, 13, 0x02, RA_PINCFG_FUNC)
#define P213_GTIOC0A      RA_PINCFG__40(2, 13, 0x03, RA_PINCFG_FUNC)
#define P213_MOSI1        RA_PINCFG__40(2, 13, 0x05, RA_PINCFG_FUNC)
#define P213_SDA1         RA_PINCFG__40(2, 13, 0x05, RA_PINCFG_FUNC)
#define P213_TXD1         RA_PINCFG__40(2, 13, 0x05, RA_PINCFG_FUNC)
#define P300_GTIOC0A      RA_PINCFG__40(3, 0, 0x03, RA_PINCFG_FUNC)
#define P300_GTOUUP       RA_PINCFG__40(3, 0, 0x02, RA_PINCFG_FUNC)
#define P300_SSLB1        RA_PINCFG__40(3, 0, 0x06, RA_PINCFG_FUNC)
#define P301_AGTIO0       RA_PINCFG__40(3, 1, 0x01, RA_PINCFG_FUNC)
#define P301_COM5         RA_PINCFG__40(3, 1, 0x10, RA_PINCFG_FUNC)
#define P301_CTS9_RTS9    RA_PINCFG__40(3, 1, 0x05, RA_PINCFG_FUNC)
#define P301_GTIOC4B      RA_PINCFG__40(3, 1, 0x03, RA_PINCFG_FUNC)
#define P301_GTOULO       RA_PINCFG__40(3, 1, 0x02, RA_PINCFG_FUNC)
#define P301_MISO2        RA_PINCFG__40(3, 1, 0x04, RA_PINCFG_FUNC)
#define P301_RXD2         RA_PINCFG__40(3, 1, 0x04, RA_PINCFG_FUNC)
#define P301_SCL2         RA_PINCFG__40(3, 1, 0x04, RA_PINCFG_FUNC)
#define P301_SEG01        RA_PINCFG__40(3, 1, 0x0D, RA_PINCFG_FUNC)
#define P301_SS9          RA_PINCFG__40(3, 1, 0x05, RA_PINCFG_FUNC)
#define P301_SSLB2        RA_PINCFG__40(3, 1, 0x06, RA_PINCFG_FUNC)
#define P301_TS09         RA_PINCFG__40(3, 1, 0x0C, RA_PINCFG_FUNC)
#define P302_COM6         RA_PINCFG__48(3, 2, 0x10, RA_PINCFG_FUNC)
#define P302_GTIOC4A      RA_PINCFG__48(3, 2, 0x03, RA_PINCFG_FUNC)
#define P302_GTOUUP       RA_PINCFG__48(3, 2, 0x02, RA_PINCFG_FUNC)
#define P302_MOSI2        RA_PINCFG__48(3, 2, 0x04, RA_PINCFG_FUNC)
#define P302_SDA2         RA_PINCFG__48(3, 2, 0x04, RA_PINCFG_FUNC)
#define P302_SEG02        RA_PINCFG__48(3, 2, 0x0D, RA_PINCFG_FUNC)
#define P302_SSLB3        RA_PINCFG__48(3, 2, 0x06, RA_PINCFG_FUNC)
#define P302_TS08         RA_PINCFG__48(3, 2, 0x0C, RA_PINCFG_FUNC)
#define P302_TXD2         RA_PINCFG__48(3, 2, 0x04, RA_PINCFG_FUNC)
#define P303_COM7         RA_PINCFG__64(3, 3, 0x10, RA_PINCFG_FUNC)
#define P303_GTIOC7B      RA_PINCFG__64(3, 3, 0x03, RA_PINCFG_FUNC)
#define P303_SEG03        RA_PINCFG__64(3, 3, 0x0D, RA_PINCFG_FUNC)
#define P303_TS02         RA_PINCFG__64(3, 3, 0x0C, RA_PINCFG_FUNC)
#define P304_GTIOC7A      RA_PINCFG__64(3, 4, 0x03, RA_PINCFG_FUNC)
#define P304_SEG20        RA_PINCFG__64(3, 4, 0x0D, RA_PINCFG_FUNC)
#define P304_TS11         RA_PINCFG__64(3, 4, 0x0C, RA_PINCFG_FUNC)
#define P305_SEG19        RA_PINCFG_100(3, 5, 0x0D, RA_PINCFG_FUNC)
#define P306_SEG18        RA_PINCFG_100(3, 6, 0x0D, RA_PINCFG_FUNC)
#define P307_SEG17        RA_PINCFG_100(3, 7, 0x0D, RA_PINCFG_FUNC)
#define P400_AGTIO1       RA_PINCFG__48(4, 0, 0x01, RA_PINCFG_FUNC)
#define P400_AUDIO_CLK    RA_PINCFG__48(4, 0, 0x12, RA_PINCFG_FUNC)
#define P400_CACREF       RA_PINCFG__48(4, 0, 0x0A, RA_PINCFG_FUNC)
#define P400_GTIOC6A      RA_PINCFG__48(4, 0, 0x04, RA_PINCFG_FUNC)
#define P400_SCK0         RA_PINCFG__48(4, 0, 0x04, RA_PINCFG_FUNC)
#define P400_SCK1         RA_PINCFG__48(4, 0, 0x05, RA_PINCFG_FUNC)
#define P400_SCL0         RA_PINCFG__48(4, 0, 0x07, RA_PINCFG_FUNC)
#define P400_SEG04        RA_PINCFG__48(4, 0, 0x0D, RA_PINCFG_FUNC)
#define P400_TS20         RA_PINCFG__48(4, 0, 0x0C, RA_PINCFG_FUNC)
#define P401_CTS0_RTS0    RA_PINCFG__64(4, 1, 0x04, RA_PINCFG_FUNC)
#define P401_CTX0         RA_PINCFG__64(4, 1, 0x10, RA_PINCFG_FUNC)
#define P401_GTETRGA      RA_PINCFG__64(4, 1, 0x03, RA_PINCFG_FUNC)
#define P401_GTIOC6B      RA_PINCFG__64(4, 1, 0x04, RA_PINCFG_FUNC)
#define P401_MOSI1        RA_PINCFG__64(4, 1, 0x05, RA_PINCFG_FUNC)
#define P401_SDA0         RA_PINCFG__64(4, 1, 0x07, RA_PINCFG_FUNC)
#define P401_SDA1         RA_PINCFG__64(4, 1, 0x05, RA_PINCFG_FUNC)
#define P401_SEG05        RA_PINCFG__64(4, 1, 0x0D, RA_PINCFG_FUNC)
#define P401_SS0          RA_PINCFG__64(4, 1, 0x04, RA_PINCFG_FUNC)
#define P401_TS19         RA_PINCFG__64(4, 1, 0x0C, RA_PINCFG_FUNC)
#define P401_TXD1         RA_PINCFG__64(4, 1, 0x05, RA_PINCFG_FUNC)
#define P402_AGTIO0       RA_PINCFG__64(4, 2, 0x01, RA_PINCFG_FUNC)
#define P402_AGTIO1       RA_PINCFG__64(4, 2, 0x02, RA_PINCFG_FUNC)
#define P402_CRX0         RA_PINCFG__64(4, 2, 0x10, RA_PINCFG_FUNC)
#define P402_MISO1        RA_PINCFG__64(4, 2, 0x05, RA_PINCFG_FUNC)
#define P402_RTCIC0       RA_PINCFG__64(4, 2, 0x00, RA_PINCFG_GPIO)
#define P402_RXD1         RA_PINCFG__64(4, 2, 0x05, RA_PINCFG_FUNC)
#define P402_SCL1         RA_PINCFG__64(4, 2, 0x05, RA_PINCFG_FUNC)
#define P402_SEG06        RA_PINCFG__64(4, 2, 0x0D, RA_PINCFG_FUNC)
#define P402_TS18         RA_PINCFG__64(4, 2, 0x0C, RA_PINCFG_FUNC)
#define P403_AGTIO0       RA_PINCFG_100(4, 3, 0x01, RA_PINCFG_FUNC)
#define P403_AGTIO1       RA_PINCFG_100(4, 3, 0x02, RA_PINCFG_FUNC)
#define P403_CTS1_RTS1    RA_PINCFG_100(4, 3, 0x05, RA_PINCFG_FUNC)
#define P403_GTIOC3A      RA_PINCFG_100(4, 3, 0x04, RA_PINCFG_FUNC)
#define P403_RTCIC1       RA_PINCFG_100(4, 3, 0x00, RA_PINCFG_GPIO)
#define P403_SS1          RA_PINCFG_100(4, 3, 0x05, RA_PINCFG_FUNC)
#define P403_SSIBCK0      RA_PINCFG_100(4, 3, 0x12, RA_PINCFG_FUNC)
#define P403_TS17         RA_PINCFG_100(4, 3, 0x0C, RA_PINCFG_FUNC)
#define P404_GTIOC3B      RA_PINCFG_100(4, 4, 0x04, RA_PINCFG_FUNC)
#define P404_RTCIC2       RA_PINCFG_100(4, 4, 0x00, RA_PINCFG_GPIO)
#define P404_SSIFS0       RA_PINCFG_100(4, 4, 0x12, RA_PINCFG_FUNC)
#define P404_SSILRCK0     RA_PINCFG_100(4, 4, 0x12, RA_PINCFG_FUNC)
#define P405_GTIOC1A      RA_PINCFG_100(4, 5, 0x04, RA_PINCFG_FUNC)
#define P405_SSITXD0      RA_PINCFG_100(4, 5, 0x12, RA_PINCFG_FUNC)
#define P406_GTIOC1B      RA_PINCFG_100(4, 6, 0x04, RA_PINCFG_FUNC)
#define P406_SSIRXD0      RA_PINCFG_100(4, 6, 0x12, RA_PINCFG_FUNC)
#define P407_ADTRG0       RA_PINCFG__40(4, 7, 0x0A, RA_PINCFG_FUNC)
#define P407_AGTIO0       RA_PINCFG__40(4, 7, 0x01, RA_PINCFG_FUNC)
#define P407_CTS0_RTS0    RA_PINCFG__40(4, 7, 0x04, RA_PINCFG_FUNC)
#define P407_RTCOUT       RA_PINCFG__40(4, 7, 0x09, RA_PINCFG_FUNC)
#define P407_SDA0         RA_PINCFG__40(4, 7, 0x07, RA_PINCFG_FUNC)
#define P407_SEG11        RA_PINCFG__40(4, 7, 0x0D, RA_PINCFG_FUNC)
#define P407_SS0          RA_PINCFG__40(4, 7, 0x04, RA_PINCFG_FUNC)
#define P407_SSLB3        RA_PINCFG__40(4, 7, 0x06, RA_PINCFG_FUNC)
#define P407_TS03         RA_PINCFG__40(4, 7, 0x0C, RA_PINCFG_FUNC)
#define P407_USB_VBUS     RA_PINCFG__40(4, 7, 0x13, RA_PINCFG_FUNC)
#define P408_CTS1_RTS1    RA_PINCFG__40(4, 8, 0x04, RA_PINCFG_FUNC)
#define P408_GTIOC5B      RA_PINCFG__40(4, 8, 0x04, RA_PINCFG_FUNC)
#define P408_GTOWLO       RA_PINCFG__40(4, 8, 0x03, RA_PINCFG_FUNC)
#define P408_MISO9        RA_PINCFG__40(4, 8, 0x05, RA_PINCFG_FUNC)
#define P408_RXD9         RA_PINCFG__40(4, 8, 0x05, RA_PINCFG_FUNC)
#define P408_SCL0         RA_PINCFG__40(4, 8, 0x07, RA_PINCFG_FUNC)
#define P408_SCL9         RA_PINCFG__40(4, 8, 0x05, RA_PINCFG_FUNC)
#define P408_SEG10        RA_PINCFG__40(4, 8, 0x0D, RA_PINCFG_FUNC)
#define P408_SS1          RA_PINCFG__40(4, 8, 0x04, RA_PINCFG_FUNC)
#define P408_TS04         RA_PINCFG__40(4, 8, 0x0C, RA_PINCFG_FUNC)
#define P408_USB_ID       RA_PINCFG__40(4, 8, 0x13, RA_PINCFG_FUNC)
#define P409_GTIOC5A      RA_PINCFG__48(4, 9, 0x04, RA_PINCFG_FUNC)
#define P409_GTOWUP       RA_PINCFG__48(4, 9, 0x03, RA_PINCFG_FUNC)
#define P409_MOSI9        RA_PINCFG__48(4, 9, 0x05, RA_PINCFG_FUNC)
#define P409_SDA9         RA_PINCFG__48(4, 9, 0x05, RA_PINCFG_FUNC)
#define P409_SEG09        RA_PINCFG__48(4, 9, 0x0D, RA_PINCFG_FUNC)
#define P409_TS05         RA_PINCFG__48(4, 9, 0x0C, RA_PINCFG_FUNC)
#define P409_TXD9         RA_PINCFG__48(4, 9, 0x05, RA_PINCFG_FUNC)
#define P409_USB_EXICEN   RA_PINCFG__48(4, 9, 0x13, RA_PINCFG_FUNC)
#define P410_AGTOB1       RA_PINCFG__64(4, 10, 0x01, RA_PINCFG_FUNC)
#define P410_GTIOC6B      RA_PINCFG__64(4, 10, 0x04, RA_PINCFG_FUNC)
#define P410_GTOVLO       RA_PINCFG__64(4, 10, 0x03, RA_PINCFG_FUNC)
#define P410_MISO0        RA_PINCFG__64(4, 10, 0x04, RA_PINCFG_FUNC)
#define P410_MISOA        RA_PINCFG__64(4, 10, 0x06, RA_PINCFG_FUNC)
#define P410_RXD0         RA_PINCFG__64(4, 10, 0x04, RA_PINCFG_FUNC)
#define P410_SCL0         RA_PINCFG__64(4, 10, 0x04, RA_PINCFG_FUNC)
#define P410_SEG08        RA_PINCFG__64(4, 10, 0x0D, RA_PINCFG_FUNC)
#define P410_TS06         RA_PINCFG__64(4, 10, 0x0C, RA_PINCFG_FUNC)
#define P411_AGTOA1       RA_PINCFG__64(4, 11, 0x01, RA_PINCFG_FUNC)
#define P411_GTIOC6A      RA_PINCFG__64(4, 11, 0x04, RA_PINCFG_FUNC)
#define P411_GTOVUP       RA_PINCFG__64(4, 11, 0x03, RA_PINCFG_FUNC)
#define P411_MOSI0        RA_PINCFG__64(4, 11, 0x04, RA_PINCFG_FUNC)
#define P411_MOSIA        RA_PINCFG__64(4, 11, 0x06, RA_PINCFG_FUNC)
#define P411_SDA0         RA_PINCFG__64(4, 11, 0x04, RA_PINCFG_FUNC)
#define P411_SEG07        RA_PINCFG__64(4, 11, 0x0D, RA_PINCFG_FUNC)
#define P411_TS07         RA_PINCFG__64(4, 11, 0x0C, RA_PINCFG_FUNC)
#define P411_TXD0         RA_PINCFG__64(4, 11, 0x04, RA_PINCFG_FUNC)
#define P412_RSPCKA       RA_PINCFG_100(4, 12, 0x06, RA_PINCFG_FUNC)
#define P412_SCK0         RA_PINCFG_100(4, 12, 0x04, RA_PINCFG_FUNC)
#define P413_CTS0_RTS0    RA_PINCFG_100(4, 13, 0x04, RA_PINCFG_FUNC)
#define P413_SS0          RA_PINCFG_100(4, 13, 0x04, RA_PINCFG_FUNC)
#define P413_SSLA0        RA_PINCFG_100(4, 13, 0x06, RA_PINCFG_FUNC)
#define P414_GTIOC0B      RA_PINCFG_100(4, 14, 0x04, RA_PINCFG_FUNC)
#define P414_SSLA1        RA_PINCFG_100(4, 14, 0x06, RA_PINCFG_FUNC)
#define P415_GTIOC0A      RA_PINCFG_100(4, 15, 0x04, RA_PINCFG_FUNC)
#define P415_SSLA2        RA_PINCFG_100(4, 15, 0x06, RA_PINCFG_FUNC)
#define P500_AGTOA0       RA_PINCFG__48(5, 0, 0x01, RA_PINCFG_FUNC)
#define P500_AN016        RA_PINCFG__48(5, 0, 0x01, RA_PINCFG_ANALOG)
#define P500_CMPREF1      RA_PINCFG__48(5, 0, 0x02, RA_PINCFG_FUNC | RA_PINCFG_ANALOG)
#define P500_GTIOC2A      RA_PINCFG__48(5, 0, 0x04, RA_PINCFG_FUNC)
#define P500_GTIU         RA_PINCFG__48(5, 0, 0x03, RA_PINCFG_FUNC)
#define P500_SEG34        RA_PINCFG__48(5, 0, 0x0D, RA_PINCFG_FUNC)
#define P500_USB_VBUSEN   RA_PINCFG__48(5, 0, 0x13, RA_PINCFG_FUNC)
#define P501_AGTOB0       RA_PINCFG__64(5, 1, 0x01, RA_PINCFG_FUNC)
#define P501_AN017        RA_PINCFG__64(5, 1, 0x01, RA_PINCFG_ANALOG)
#define P501_CMPIN1       RA_PINCFG__64(5, 1, 0x02, RA_PINCFG_FUNC | RA_PINCFG_ANALOG)
#define P501_GTIOC2B      RA_PINCFG__64(5, 1, 0x04, RA_PINCFG_FUNC)
#define P501_GTIV         RA_PINCFG__64(5, 1, 0x03, RA_PINCFG_FUNC)
#define P501_MOSI1        RA_PINCFG__64(5, 1, 0x05, RA_PINCFG_FUNC)
#define P501_SDA1         RA_PINCFG__64(5, 1, 0x05, RA_PINCFG_FUNC)
#define P501_SEG35        RA_PINCFG__64(5, 1, 0x0D, RA_PINCFG_FUNC)
#define P501_TXD1         RA_PINCFG__64(5, 1, 0x05, RA_PINCFG_FUNC)
#define P501_USB_OVRCUR_A RA_PINCFG__64(5, 1, 0x13, RA_PINCFG_FUNC)
#define P502_AN018        RA_PINCFG__64(5, 2, 0x01, RA_PINCFG_ANALOG)
#define P502_CMPREF0      RA_PINCFG__64(5, 2, 0x02, RA_PINCFG_FUNC | RA_PINCFG_ANALOG)
#define P502_GTIOC3B      RA_PINCFG__64(5, 2, 0x04, RA_PINCFG_FUNC)
#define P502_GTIW         RA_PINCFG__64(5, 2, 0x03, RA_PINCFG_FUNC)
#define P502_MISO1        RA_PINCFG__64(5, 2, 0x05, RA_PINCFG_FUNC)
#define P502_RXD1         RA_PINCFG__64(5, 2, 0x05, RA_PINCFG_FUNC)
#define P502_SCL1         RA_PINCFG__64(5, 2, 0x05, RA_PINCFG_FUNC)
#define P502_SEG36        RA_PINCFG__64(5, 2, 0x0D, RA_PINCFG_FUNC)
#define P502_USB_OVRCUR_B RA_PINCFG__64(5, 2, 0x13, RA_PINCFG_FUNC)
#define P503_AN023        RA_PINCFG_100(5, 3, 0x01, RA_PINCFG_ANALOG)
#define P503_CMPIN0       RA_PINCFG_100(5, 3, 0x02, RA_PINCFG_FUNC | RA_PINCFG_ANALOG)
#define P503_SCK1         RA_PINCFG_100(5, 3, 0x05, RA_PINCFG_FUNC)
#define P503_SEG37        RA_PINCFG_100(5, 3, 0x0D, RA_PINCFG_FUNC)
#define P503_USB_EXICEN   RA_PINCFG_100(5, 3, 0x13, RA_PINCFG_FUNC)
#define P504_AN024        RA_PINCFG_100(5, 4, 0x01, RA_PINCFG_ANALOG)
#define P504_CTS1_RTS1    RA_PINCFG_100(5, 4, 0x05, RA_PINCFG_FUNC)
#define P504_SS1          RA_PINCFG_100(5, 4, 0x05, RA_PINCFG_FUNC)
#define P504_USB_ID       RA_PINCFG_100(5, 4, 0x13, RA_PINCFG_FUNC)
#define P505_AN025        RA_PINCFG_100(5, 5, 0x01, RA_PINCFG_ANALOG)
#define P600_GTIOC6B      RA_PINCFG_100(6, 0, 0x01, RA_PINCFG_FUNC)
#define P600_SCK9         RA_PINCFG_100(6, 0, 0x05, RA_PINCFG_FUNC)
#define P600_SEG33        RA_PINCFG_100(6, 0, 0x0D, RA_PINCFG_FUNC)
#define P601_GTIOC6A      RA_PINCFG_100(6, 1, 0x01, RA_PINCFG_FUNC)
#define P601_MISO9        RA_PINCFG_100(6, 1, 0x05, RA_PINCFG_FUNC)
#define P601_RXD9         RA_PINCFG_100(6, 1, 0x05, RA_PINCFG_FUNC)
#define P601_SCL9         RA_PINCFG_100(6, 1, 0x05, RA_PINCFG_FUNC)
#define P601_SEG32        RA_PINCFG_100(6, 1, 0x0D, RA_PINCFG_FUNC)
#define P602_GTIOC7B      RA_PINCFG_100(6, 2, 0x01, RA_PINCFG_FUNC)
#define P602_MOSI9        RA_PINCFG_100(6, 2, 0x05, RA_PINCFG_FUNC)
#define P602_SDA9         RA_PINCFG_100(6, 2, 0x05, RA_PINCFG_FUNC)
#define P602_SEG31        RA_PINCFG_100(6, 2, 0x0D, RA_PINCFG_FUNC)
#define P602_TXD9         RA_PINCFG_100(6, 2, 0x05, RA_PINCFG_FUNC)
#define P603_CTS9_RTS9    RA_PINCFG_100(6, 3, 0x05, RA_PINCFG_FUNC)
#define P603_GTIOC7A      RA_PINCFG_100(6, 3, 0x01, RA_PINCFG_FUNC)
#define P603_SEG30        RA_PINCFG_100(6, 3, 0x0D, RA_PINCFG_FUNC)
#define P603_SS9          RA_PINCFG_100(6, 3, 0x05, RA_PINCFG_FUNC)
#define P608_GTIOC4B      RA_PINCFG_100(6, 8, 0x01, RA_PINCFG_FUNC)
#define P608_SEG27        RA_PINCFG_100(6, 8, 0x0D, RA_PINCFG_FUNC)
#define P609_GTIOC5A      RA_PINCFG_100(6, 9, 0x01, RA_PINCFG_FUNC)
#define P609_SEG28        RA_PINCFG_100(6, 9, 0x0D, RA_PINCFG_FUNC)
#define P610_GTIOC5B      RA_PINCFG_100(6, 10, 0x01, RA_PINCFG_FUNC)
#define P610_SEG29        RA_PINCFG_100(6, 10, 0x0D, RA_PINCFG_FUNC)
#define P708_MISO1        RA_PINCFG_100(7, 8, 0x05, RA_PINCFG_FUNC)
#define P708_RXD1         RA_PINCFG_100(7, 8, 0x05, RA_PINCFG_FUNC)
#define P708_SCL1         RA_PINCFG_100(7, 8, 0x05, RA_PINCFG_FUNC)
#define P708_SSLA3        RA_PINCFG_100(7, 8, 0x06, RA_PINCFG_FUNC)
#define P808_SEG21        RA_PINCFG_100(8, 8, 0x0D, RA_PINCFG_FUNC)
#define P809_SEG22        RA_PINCFG_100(8, 9, 0x0D, RA_PINCFG_FUNC)
#define P914_USB_DP       RA_PINCFG__40(9, 14, 0x00, RA_PINCFG_GPIO)
#define P915_USB_DM       RA_PINCFG__40(9, 15, 0x00, RA_PINCFG_GPIO)
#endif
