/*
 * Copyright (c) 2023 STMicroelectronics
 *
 * SPDX-License-Identifier: Apache-2.0
 */
#ifndef ZEPHYR_INCLUDE_DT_BINDINGS_ST_LSM6DSO16IS_H_
#define ZEPHYR_INCLUDE_DT_BINDINGS_ST_LSM6DSO16IS_H_

/* Accel range */
#define	LSM6DSO16IS_DT_FS_2G			0
#define	LSM6DSO16IS_DT_FS_16G			1
#define	LSM6DSO16IS_DT_FS_4G			2
#define	LSM6DSO16IS_DT_FS_8G			3

/* Gyro range */
#define	LSM6DSO16IS_DT_FS_250DPS		0x0
#define	LSM6DSO16IS_DT_FS_500DPS		0x1
#define	LSM6DSO16IS_DT_FS_1000DPS		0x2
#define	LSM6DSO16IS_DT_FS_2000DPS		0x3
#define	LSM6DSO16IS_DT_FS_125DPS		0x10

/* Accel and Gyro Data rates */
#define LSM6DSO16IS_DT_ODR_OFF			0x0
#define LSM6DSO16IS_DT_ODR_12Hz5_HP		0x1
#define LSM6DSO16IS_DT_ODR_26H_HP		0x2
#define LSM6DSO16IS_DT_ODR_52Hz_HP		0x3
#define LSM6DSO16IS_DT_ODR_104Hz_HP		0x4
#define LSM6DSO16IS_DT_ODR_208Hz_HP		0x5
#define LSM6DSO16IS_DT_ODR_416Hz_HP		0x6
#define LSM6DSO16IS_DT_ODR_833Hz_HP		0x7
#define LSM6DSO16IS_DT_ODR_1667Hz_HP		0x8
#define LSM6DSO16IS_DT_ODR_3333Hz_HP		0x9
#define LSM6DSO16IS_DT_ODR_6667Hz_HP		0xa
#define LSM6DSO16IS_DT_ODR_12Hz5_LP		0x11
#define LSM6DSO16IS_DT_ODR_26H_LP		0x12
#define LSM6DSO16IS_DT_ODR_52Hz_LP		0x13
#define LSM6DSO16IS_DT_ODR_104Hz_LP		0x14
#define LSM6DSO16IS_DT_ODR_208Hz_LP		0x15
#define LSM6DSO16IS_DT_ODR_416Hz_LP		0x16
#define LSM6DSO16IS_DT_ODR_833Hz_LP		0x17
#define LSM6DSO16IS_DT_ODR_1667Hz_LP		0x18
#define LSM6DSO16IS_DT_ODR_3333Hz_LP		0x19
#define LSM6DSO16IS_DT_ODR_6667Hz_LP		0x1a
#define LSM6DSO16IS_DT_ODR_1Hz6_LP		0x1b

#endif /* ZEPHYR_INCLUDE_DT_BINDINGS_ST_LSM6DSO16IS_H_ */
